%define major 0.5
%define revision 11e
%define version %{major}.%{revision}
%define tarversion %{major}_%{revision}

Summary:	A module for make gtkmm program with glade
Name:		glademm
Version:	%{version}
Release:	3mdk
Source0:	http://home.wtal.de/petig/Gtk/%{name}-%{tarversion}.tar.bz2
License:	GPL
Group:		Development/GNOME and GTK+
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: libgtkmm-devel libgtk+-devel gnomemm-devel
# requires libgtkmm-devel because glade-- binary uses gtkmm-config
Requires: libgtkmm-devel

%description
This package permit to generate c++ code with glade.
glade use gtkmm binding for c++ code.

%prep

%setup -q -n %name-%tarversion

%build
%configure

%make

%install
%makeinstall

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog TODO README NEWS
%{_bindir}/*

%changelog
* Mon Mar 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5.11e-3mdk
- PPC: build with gcc

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.11e-2mdk
- make use of "BuildRequires" tag, even if most maintainers don't
  know this nice feature of RPM

* Sat Feb 17 2001 Geoffrey lee <snailtalk@mandrkesoft.com> 0.5.11e-1mdk
- New and shiny source.
- Remove the kgcc  and kg++ limitation for ix86 arch.

* Fri Dec 22 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5.9-4mdk
- Fix build (use egcs), at least on PPC & ix86

* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-3mdk
- Fix packager flag

* Fri Jul 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-2mdk
- Rebuild for BM

* Mon Jul 10 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-1mdk
- first mdk release
